Simply calls the sessionValidityEnsurer before each standard dynamoDB operations and returns a promise for each request

### Hierarchy

- DynamoDbWrapper

## Index

### Constructors

- constructor

### Properties

- dynamoDB

### Methods

- batchGetItems
- batchWriteItem
- deleteItem
- getItem
- makeRequest
- putItem
- query
- scan
- transactGetItems
- transactWriteItems
- updateAwsConfigCredentials
- updateItem

## Constructors

### constructor

- new DynamoDbWrapper(): DynamoDbWrapper

- - Defined in dynamo/dynamo-db-wrapper.ts:10

  #### Returns DynamoDbWrapper

## Properties

### dynamoDB

dynamoDB: DynamoDB

- Defined in dynamo/dynamo-db-wrapper.ts:10

## Methods

### batchGetItems

- batchGetItems(params: BatchGetItemInput): Promise<BatchGetItemOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:49

  #### Parameters

  - ##### params: BatchGetItemInput

  #### Returns Promise<BatchGetItemOutput>

### batchWriteItem

- batchWriteItem(params: BatchWriteItemInput): Promise<BatchWriteItemOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:44

  #### Parameters

  - ##### params: BatchWriteItemInput

  #### Returns Promise<BatchWriteItemOutput>

### deleteItem

- deleteItem(params: DeleteItemInput): Promise<DeleteItemOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:39

  #### Parameters

  - ##### params: DeleteItemInput

  #### Returns Promise<DeleteItemOutput>

### getItem

- getItem(params: GetItemInput): Promise<GetItemOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:29

  #### Parameters

  - ##### params: GetItemInput

  #### Returns Promise<GetItemOutput>

### makeRequest

- makeRequest(operation: string, params?: Record<string, any>): Promise<any>

- - Defined in dynamo/dynamo-db-wrapper.ts:78

  #### Parameters

  - ##### operation: string

  - ##### Optional params: Record<string, any>

  #### Returns Promise<any>

### putItem

- putItem(params: PutItemInput): Promise<PutItemOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:24

  #### Parameters

  - ##### params: PutItemInput

  #### Returns Promise<PutItemOutput>

### query

- query(params: QueryInput): Promise<QueryOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:69

  #### Parameters

  - ##### params: QueryInput

  #### Returns Promise<QueryOutput>

### scan

- scan(params: ScanInput): Promise<ScanOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:64

  #### Parameters

  - ##### params: ScanInput

  #### Returns Promise<ScanOutput>

### transactGetItems

- transactGetItems(params: TransactGetItemsInput): Promise<TransactGetItemsOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:59

  #### Parameters

  - ##### params: TransactGetItemsInput

  #### Returns Promise<TransactGetItemsOutput>

### transactWriteItems

- transactWriteItems(params: TransactWriteItemsInput): Promise<TransactWriteItemsOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:54

  #### Parameters

  - ##### params: TransactWriteItemsInput

  #### Returns Promise<TransactWriteItemsOutput>

### updateAwsConfigCredentials

- updateAwsConfigCredentials(newConfig: Config): void

- - Defined in dynamo/dynamo-db-wrapper.ts:17

  #### Parameters

  - ##### newConfig: Config

  #### Returns void

### updateItem

- updateItem(params: UpdateItemInput): Promise<UpdateItemOutput>

- - Defined in dynamo/dynamo-db-wrapper.ts:34

  #### Parameters

  - ##### params: UpdateItemInput

  #### Returns Promise<UpdateItemOutput>

Generated using TypeDoc